Package org.eclipse.gef

# Interface TreeEditPart

All Superinterfaces:
  `EditPart`, `IAdaptable`

All Known Implementing Classes:
  `AbstractTreeEditPart`, `RootTreeEditPart`

public interface TreeEditPart extends EditPart
A Specialization of `EditPart` for use with `TreeViewer`. The visualpart of a TreeEditPart is a `TreeItem`.

IMPORTANT: This interface is not intended to be implemented by clients. Clients should inherit from `AbstractGraphicalEditPart`. New methods may be added in the future.

## Field Summary

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

## Method Summary

Modifier and Type
Method
Description
`Widget`
`getWidget()`
Returns either a `Tree` or `TreeItem`.
`void`
`setWidget(Widget widget)`
Set's the EditPart's widget.

### Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Method Details

### getWidget

Widget getWidget()
Returns either a `Tree` or `TreeItem`.

Returns:
  the Widget

### setWidget

void setWidget(Widget widget)
Set's the EditPart's widget. Because SWT `TreeItem` and `Tree` cannot be created without a parent, a TreeEditPart must rely on its parent providing its Widget.

Parameters:
  `widget` - the Widget